<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroPaymentResponseViewModel extends Entity {
	protected $code;
	protected $message;
	protected $reference;

	public static function builder(): PagSeguroPaymentResponseViewModelBuilder {

		return new PagSeguroPaymentResponseViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getCode() {

		return $this->code;
	}


	/**
	 * @return mixed
	 */
	public function getMessage() {

		return $this->message;
	}


	/**
	 * @return mixed
	 */
	public function getReference() {

		return $this->reference;
	}


	/**
	 * @param mixed $code
	 */
	public function setCode($code) {

		$this->code = $code;
	}


	/**
	 * @param mixed $message
	 */
	public function setMessage($message) {

		$this->message = $message;
	}


	/**
	 * @param mixed $reference
	 */
	public function setReference($reference) {

		$this->reference = $reference;
	}



	
}

